xine-lib: xine-lib-1.2.12/src/video_dec/libmpeg2/stats.c File Reference

xine-lib 1.2.12

Functions | Variables
stats.c File Reference
`#include "config.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <inttypes.h>`
`#include "mpeg2_internal.h"`

## Functions
static int | debug_is_on (void)
static void | stats_picture (uint8_t *buffer)
static void | stats_user_data (uint8_t *buffer)
static void | stats_sequence (uint8_t *buffer)
static void | stats_sequence_error (uint8_t *buffer)
static void | stats_sequence_end (uint8_t *buffer)
static void | stats_group (uint8_t *buffer)
static void | stats_slice (int code, uint8_t *buffer)
static void | stats_sequence_extension (uint8_t *buffer)
static void | stats_sequence_display_extension (uint8_t *buffer)
static void | stats_quant_matrix_extension (uint8_t *buffer)
static void | stats_copyright_extension (uint8_t *buffer)
static void | stats_sequence_scalable_extension (uint8_t *buffer)
static void | stats_picture_display_extension (uint8_t *buffer)
static void | stats_picture_coding_extension (uint8_t *buffer)
void | mpeg2_stats (int code, uint8_t *buffer)

## Variables
static int | debug_level = -1

## Function Documentation

## ◆ debug_is_on()

static int debug_is_on | ( | void |  | ) |
| static

References debug_level.

Referenced by mpeg2_stats().

## ◆ mpeg2_stats()

void mpeg2_stats | ( | int | code,
|  | uint8_t * | buffer
| ) |  |

References code, debug_is_on(), stats_copyright_extension(), stats_group(), stats_picture(), stats_picture_coding_extension(), stats_picture_display_extension(), stats_quant_matrix_extension(), stats_sequence(), stats_sequence_display_extension(), stats_sequence_end(), stats_sequence_error(), stats_sequence_extension(), stats_sequence_scalable_extension(), stats_slice(), and stats_user_data().

Referenced by mpeg2_find_sequence_header(), and parse_chunk().

## ◆ stats_copyright_extension()

static void stats_copyright_extension | ( | uint8_t * | buffer | ) |
| static

Referenced by mpeg2_stats().

## ◆ stats_group()

static void stats_group | ( | uint8_t * | buffer | ) |
| static

Referenced by mpeg2_stats().

## ◆ stats_picture()

static void stats_picture | ( | uint8_t * | buffer | ) |
| static

Referenced by mpeg2_stats().

## ◆ stats_picture_coding_extension()

static void stats_picture_coding_extension | ( | uint8_t * | buffer | ) |
| static

References alternate_scan.

Referenced by mpeg2_stats().

## ◆ stats_picture_display_extension()

static void stats_picture_display_extension | ( | uint8_t * | buffer | ) |
| static

Referenced by mpeg2_stats().

## ◆ stats_quant_matrix_extension()

static void stats_quant_matrix_extension | ( | uint8_t * | buffer | ) |
| static

Referenced by mpeg2_stats().

## ◆ stats_sequence()

static void stats_sequence | ( | uint8_t * | buffer | ) |
| static

Referenced by mpeg2_stats().

## ◆ stats_sequence_display_extension()

static void stats_sequence_display_extension | ( | uint8_t * | buffer | ) |
| static

Referenced by mpeg2_stats().

## ◆ stats_sequence_end()

static void stats_sequence_end | ( | uint8_t * | buffer | ) |
| static

Referenced by mpeg2_stats().

## ◆ stats_sequence_error()

static void stats_sequence_error | ( | uint8_t * | buffer | ) |
| static

Referenced by mpeg2_stats().

## ◆ stats_sequence_extension()

static void stats_sequence_extension | ( | uint8_t * | buffer | ) |
| static

Referenced by mpeg2_stats().

## ◆ stats_sequence_scalable_extension()

static void stats_sequence_scalable_extension | ( | uint8_t * | buffer | ) |
| static

Referenced by mpeg2_stats().

## ◆ stats_slice()

static void stats_slice | ( | int | code,
|  | uint8_t * | buffer
| ) |  |
| static

References code.

Referenced by mpeg2_stats().

## ◆ stats_user_data()

static void stats_user_data | ( | uint8_t * | buffer | ) |
| static

Referenced by mpeg2_stats().

## Variable Documentation

## ◆ debug_level

int debug_level = -1
| static

Referenced by debug_is_on().